Uploaded image for project: 'Tika'
  1. Tika
  2. TIKA-3231

Broken build after upgrading maven bundle plugin

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      I recently noticed that branch_1x is no longer building. We're getting a failure in tika-bundle.

      > org.apache.tika.bundle
      > org.osgi.framework.BundleException: Unable to resolve
      > org.apache.tika.bundle [19](R 19.0): missing requirement
      > [org.apache.tika.bundle [19](R 19.0)] osgi.wiring.package;
      > (&(osgi.wiring.package=org.apache.tika.config)(version>=1.25.0)(!(version>=2.0.0)))
      > [caused by: Unable to resolve org.apache.tika.core [13](R 13.0): missing
      > requirement [org.apache.tika.core [13](R 13.0)] osgi.wiring.package;
      > (osgi.wiring.package=org.apache.xerces.util)] Unresolved requirements:
      > [[org.apache.tika.bundle [19](R 19.0)] osgi.wiring.package;
      > (&(osgi.wiring.package=org.apache.tika.config)(version>=1.25.0)(!(version>=2.0.0)))]
      

      On the dev list, Peter Lee identified the cause...upgrading the maven-bundle-plugin > 4.1.0.

      Let's figure out what's going on and fix this.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              tallison Tim Allison
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: